XmTransferStartRequest(3)

NAME
XmTransferStartRequest — A toolkit function that begins a MULTIPLE transfer

SYNOPSIS

#include <Xm/Transfer.h>

void XmTransferStartRequest(
XtPointer transfer_id);

DESCRIPTION

XmTransferStartRequest begins a MULTIPLE request. The MULTIPLE request may contain one or more calls to XmTransferValue. Your application concludes a MULTIPLE request by calling XmTransferSendRequest.

XmTransferStartRequest is typically called by a destination callback or by a transfer procedure.

transfer_id
    Specifies a unique indentifier for the data transfer operation. You should use the transfer_id passed in the XmDestinationCallbackStruct or XmSelectionCallbackStruct.

RELATED

XmTransferSetParameters(3), XmTransferSendRequest(3), and XmTransferValue(3).